IP6ADDRCTL(8)

NAME
ip6addrctl - configure address selection policy for IPv6 and IPv4

SYNOPSIS
ip6addrctl [show]
ip6addrctl add prefix precedence label
ip6addrctl delete prefix
ip6addrctl flush
ip6addrctl install configfile

DESCRIPTION
The ip6addrctl command manages the policy table of source and destination address selection for outgoing IPv4 and IPv6 packets. When ip6addrctl is invoked without an argument or with a single argument show, it prints the content of the policy table currently installed in the kernel.

To modify the table, the following operations are available:

add prefix precedence label
    add a policy entry. Prefix is an IPv6 prefix, which is a key for the entry. An IPv4 prefix should be specified with an IPv6 prefix using an IPv4-mapped IPv6 address. Precedence and label are decimal numbers, which specify the precedence and label values for the entry, respectively. This operation should be performed without an existing entry for the prefix.

delete prefix
    delete a policy entry specified by prefix, which should be an IPv6 prefix. A corresponding entry for the prefix should have already been installed.

flush
    delete all existing policy entries in the kernel.

install configfile
    install policy entries from a configuration file named configfile. The configuration file should contain a set of policy entries. Each entry is specified in a single line which contains an IPv6 prefix, a decimal precedence value, and a decimal label value, separated with white space or tab characters. In the configuration file, lines beginning with the pound-sign (#) are comments and are ignored.

RETURN VALUES
The program exits with 0 on success, non-zero on failures.

SEE ALSO
Richard Draves, “ Default Address Selection for IPv6 ”, RFC 3484.

HISTORY
The ip6addrctl command first appeared in the KAME IPv6 protocol stack kit. The original command name was addrselect, but it was then renamed to the current one so that the name would describe its function well.